package com.LocalService;

import android.app.Activity;
import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.Bundle;
import android.os.IBinder;
import android.widget.Toast;

public class LocalActivity extends Activity {
	/** Called when the activity is first created. */
	private LocalService mBoundService;
	private boolean mIsBound;

	private ServiceConnection mConnection = new ServiceConnection() {

		@Override
		public void onServiceDisconnected(ComponentName name) {
			// ̱ʱãΪͬһǱԶᷢ
			// ʱҲ
			mBoundService = null;
			Toast.makeText(LocalActivity.this,
					R.string.local_service_disconnected, Toast.LENGTH_SHORT)
					.show();

		}

		@Override
		public void onServiceConnected(ComponentName name, IBinder service) {
			// serviceӽʱø÷
			mBoundService = ((LocalService.LocalBinder) service).getService();
			Toast.makeText(LocalActivity.this,
					R.string.local_service_connected, Toast.LENGTH_SHORT)
					.show();
		}
	};

	void doBindService() {
		// serviceӡΪ֪ڱʹʾʵservice
		// ǲָ֧򽻻
		// ִݣһmanifestдintent-filteractionһʾ
		// bindService(new Intent("com.LocalService.LocalService"), mConnection,
		// Context.BIND_AUTO_CREATE);
//		 bindService(new Intent(LocalActivity.this, LocalService.class),
//		 mConnection, Context.BIND_AUTO_CREATE);
		
		//ַonStartCommand
		startService(new Intent(LocalActivity.this, LocalService.class));
		mIsBound = true;
	}

	void doUnbindService() {
		if (mIsBound) {
			// Detach our existing connection.
			stopService(new Intent(LocalActivity.this, LocalService.class));
//			unbindService(mConnection);
			mIsBound = false;
		}
	}

	@Override
	protected void onDestroy() {
		doUnbindService();
		
		super.onDestroy();
	}

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		 doBindService();
	}
}