package com.LocalService;

import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.app.Service;
import android.content.Intent;
import android.os.Binder;
import android.os.IBinder;
import android.util.Log;
import android.widget.Toast;

public class LocalService extends Service {

	private NotificationManager mNM;

	// ֪ͨΨһʾ֪ͨʼͽʹ
	private int NOTIFICATION = R.string.local_service_started;

	// 潻࣬serviceͬһԲôIPC
	public class LocalBinder extends Binder {
		LocalService getService() {
			return LocalService.this;
		}
	}

	@Override
	public void onCreate() {
		mNM = (NotificationManager) getSystemService(NOTIFICATION_SERVICE);

		// serviceʼʱiconͼŵ֪ͨ
		showNotification();
	}

	//
	private void showNotification() {
		CharSequence text = getText(R.string.local_service_started);

		Notification notification = new Notification(R.drawable.icon, text,
				System.currentTimeMillis());

		// ֪ͨʱcontentIntentactivity
		PendingIntent contentIntent = PendingIntent.getActivity(this, 0,
				new Intent(this, showActivity.class), 0);

		// ֪ͨʾ
		notification.setLatestEventInfo(this,
				getText(R.string.local_service_label), text, contentIntent);

		mNM.notify(NOTIFICATION, notification);
	}

	// 2.0ǰ汾
	@Override
	public void onStart(Intent intent, int startId) {
	}

	// 2.0Ժİ汾дonStartCommandonStartᱻãע2.0ǰûonStartCommand
	@Override
	public int onStartCommand(Intent intent, int flags, int startId) {
		
		Log.i("Service", "Received start id " + startId + ": " + intent);
		// (onStartCommand()غ)kill, ô״̬ȡintent.
		// ϵͳдserviceΪʱڴµserviceʱ֤onStartCommand
		// ûκοʼָ͸serviceǽõnullintent˱.
		// ÷ʽڿʼʱֹͣһservicęִֺط
		
		return START_STICKY;
	}

	@Override
	public void onDestroy() {
		mNM.cancel(NOTIFICATION);
		Toast
				.makeText(this, R.string.local_service_stopped,
						Toast.LENGTH_SHORT).show();

	}

	@Override
	public IBinder onBind(Intent intent) {
		return mBinder;
	}

	private final IBinder mBinder = new LocalBinder();

}